package com.muyu.rabbit;

import jakarta.annotation.PostConstruct;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.context.annotation.Configuration;

/**
 * @Author：张腾
 * @Package：com.muyu.rabbit
 * @Project：cloud-common-rabbit
 * @name：RabbitConfig
 * @Date：2024/7/29 20:29
 */
@Configuration
@AllArgsConstructor
@Log4j2
public class RabbitConfig {

    private final AmqpAdmin amqpAdmin;

    private final AmqpTemplate amqpTemplate;


    @PostConstruct
    public void init(){
        log.info("rabbitMQ启动成功");
    }

}
